@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/
:root {
	--base-color: #2F3C4F;
    --main-color: #506F86;
    --sub-color: #f99c11;
    --accent-color: #DE703C;
}

/*===ヘッダーの余白===*/
.header {
	padding-bottom: 16px;
}

/*===ヘッダーロゴのフォント設定===*/
.site-name-text {
  	font-family: "M PLUS 1", serif;
	font-weight: bold;
}
#header .site-name-text {
	border-bottom: 1px solid #333;
	font-size: 48px;
	font-weight: 900;
}
.logo-text {
	padding: 0;
}
.tagline {
	font-family: "M PLUS 1", serif;
	font-size: 1.2rem;
	letter-spacing: 0.2rem;
	line-height: 0;
}

/*===ハンバーガーメニューのopenボタン===*/
.navi-menu-button {
	background: var(--sub-color);
}
#navi-menu-open {
	color: #fff;
}
.mobile-header-menu-buttons {
	background: var(--base-color);
	color: #fff;
}
.mobile-menu-buttons .menu-button > a {
	color: #fff;
}

/*===ハンバーガーメニューcloseボタン===*/
.menu-close-button {
	padding: 8px 0;
	background: var(--sub-color);
}
span.fas.fa-times::before {
	font-family: "Font Awesome 5 Free";
	content: "\f060"
}

/*===スライドメニューのスタイル===*/
.navi-menu-content {
	background: var(--main-color);
}
.menu-content .menu-drawer {
	padding: 32px 1rem;
}
.menu-drawer a {
	color: #fff;
}

/*===エントリーカードのカテゴリラベル===*/
.cat-label {
	top: 0;
	left: 0;
	padding: 0.25em 0.5em;
    border: none;
	background: var(--accent-color);
	font-size: 13px;
}

/*===サイドバー　プロフィール===*/
.nwa .author-box {
max-width:none;
padding: 0;
margin-bottom:0;
}
aside#author_box-2.widget.widget-sidebar.widget-sidebar-standard.widget_author_box{
padding: 0!important;
border-radius: 10px;
}
@media (max-width: 1023px){
aside {
padding: 0 .5em;
}
}
.nwa .author-box .author-thumb {
width: 100%;
height:9em;
margin:0 0 5em 0;
border-radius: 10px 10px 0 0;
}
.author-box figure.author-thumb{
float: none;
text-align: center;
background: var(--sub-color);
background-size: cover;
position: relative;
z-index: 0;
}
.author-box img.avatar.photo{
background-image: none;
padding: 0!important;
box-shadow:none;
}
.author-box figure.author-thumb img{
width: 40%;
max-width:180px;
margin-top:5em;
}
@media (min-width:1023px){
.nwa .author-box .author-thumb {
height:8em;
}
.author-box figure.author-thumb img{
max-width:120px;
}}
@media (max-width:480px){
.nwa .author-box .author-thumb {
height:8em;
}
.author-box figure.author-thumb img{
max-width:130px;
}}
.author-box .author-name {
margin: 0 0 1.5em 0;
}
.author-box .author-content .author-name a{
text-decoration: none;
font-size:1.2em;
color:#545454;
}
.nwa .author-box .author-description {
margin-bottom:1.5em
}
.author-box .author-content .author-description p{
font-size:14px;
color:#7b7b7b;
line-height:1.6em!important;
margin:1em;
}
#author_box-2 p{
margin:1em 2.5em;
}
div.author-follows{
padding-bottom:2em;
}
.author-box .author-content .author-description p a{ text-decoration: none; }
.author-box .author-content .author-description p a:hover{ text-decoration: underline; }
.author-box .author-content .author-follows .sns-buttons{ justify-content: center; }
.author-box .author-content .author-follows .sns-buttons a.follow-button{
border-radius: 50%;
border: none;
width: 40px;
height: 40px;
color: #fff!important;
margin:3px;
transition: .5s;
}
div.author-follows a.follow-button.website-button.website-follow-button-sq{background-color: #6eb6fd!important;}
div.author-follows a.follow-button.twitter-button.twitter-follow-button-sq{background-color: #000000!important;}
div.author-follows a.follow-button.facebook-button.facebook-follow-button-sq{background-color: #7c9dec!important;}
div.author-follows a.follow-button.hatebu-button.hatebu-follow-button-sq{background-color: #2c6ebd!important;}
div.author-follows a.follow-button.instagram-button.instagram-follow-button-sq{background: linear-gradient(165deg, #427eff 5%, #f13f79 50%) no-repeat !important;}
div.author-follows a.follow-button.pinterest-button.pinterest-follow-button-sq{background-color: #bd081c!important;}
div.author-follows a.follow-button.youtube-button.youtube-follow-button-sq{background-color: #cd201f!important;}
div.author-follows a.follow-button.tiktok-button.tiktok-follow-button-sq{background-color: #000000!important;}
div.author-follows a.follow-button.linkedin-button.linkedin-follow-button-sq{background-color: #0A66C2!important;}
div.author-follows a.follow-button.note-button.note-follow-button-sq{background-color: #41C9B4!important;}
div.author-follows a.follow-button.soundcloud-button.soundcloud-follow-button-sq{background-color: #FF5500!important;}
div.author-follows a.follow-button.flickr-button.flickr-follow-button-sq{background-color: #111!important;}
div.author-follows a.follow-button.line-button.line-follow-button-sq{background-color: #00c300!important;}
div.author-follows a.follow-button.amazon-button.amazon-follow-button-sq{background-color: #ff9900!important;}
div.author-follows a.follow-button.twitch-button.twitch-follow-button-sq{background-color: #5C16C5!important;}
div.author-follows a.follow-button.rakuten-room-button.rakuten-room-follow-button-sq{background-color: #C61E79!important;}
div.author-follows a.follow-button.slack-button.slack-follow-button-sq{background-color: #4A154B!important;}
div.author-follows a.follow-button.github-button.github-follow-button-sq{background-color: #4078c0!important;}
div.author-follows a.follow-button.codepen-button.codepen-follow-button-sq{background-color: #47CF73!important;}
div.author-follows a.follow-button.feedly-button.feedly-follow-button-sq{background-color: #2bb24c!important;}
div.author-follows a.follow-button.rss-button.rss-follow-button-sq{background-color: #f26522!important;}
.author-box .author-content .author-follows .sns-buttons a.follow-button span{ line-height: 40px; }
.author-box .author-content .author-follows .sns-buttons a.follow-button span::before{ font-size: 20px !important; }
@media (max-width:1023px){
.nwa .author-box .author-thumb {
height:11em;
margin:0 0 7em 0;
}
.author-name{
font-size:16px!important;
}
.author-description{
line-height: 1.5 !important;
text-align:center;
margin:0 auto;
}
}
.author-name a {
	color: #333;
}

/*===h1（記事タイトル）===*/
h1.entry-title {
	font-size: 20px;
}
/*===見出しh2===*/
.article h2 {
	padding: 8px 16px 8px 0;
	margin-top: 48px;
	background-color: #fff;
	border-bottom: 3px solid var(--sub-color);
    font-size: 20px;
	color: #333;    
}

/*===見出しh3===*/
.article h3 {
	padding: 4px 8px;
	margin-top: 36px;
	border-top: none;
    border-bottom: none;
	border-right: none;
	border-left: 5px solid var(--sub-color);
	font-size: 18px;
}

/*===見出しh4===*/
.article h4 {
	margin-top: 24px;
	margin-bottom: 0;
	padding-left: 0;
	border: none;
	font-size: 16px;
}
.article h4::before {
	content: "■";
	padding-right: 4px;
	color: var(--sub-color);
}

/*===記事テキスト===*/
.content p {
	margin-top: 0;
    margin-bottom: 0.5em;
    line-height: 1;
	letter-spacing: 0.04em;
	font-size: 15px;
}

/*===タブ付ボックス===*/
.cocoon-block-tab-caption-box {
	margin-top: 24px;
}
.tab-caption-box-label {
	background-color: var(--sub-color);
	border-radius: 0;
}
.tab-caption-box-content {
	border:3px solid var(--sub-color); 
	border-radius: 0;
}
.tab-caption-box-label-text {
	color: #fff;
}



/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
	.header {
		display: none;
	}
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
	#header .site-name-text {
		font-size: 48px;
	}
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
	#header .site-name-text {
		font-size: 38px;
	}
	.entry-title, .article h2 {
		padding: 0;
	}
}
